BSON_NEW_FROM_JSON(3)

NAME
bson_new_from_json - bson_new_from_json()

SYNOPSIS

bson_t *
bson_new_from_json (const uint8_t *data, ssize_t len, bson_error_t *error);

PARAMETERS

•   data: A UTF-8 encoded string containing valid JSON.

•   len: The length of data in bytes excluding a trailing \0 or -1 to determine the length with strlen().

•   error: An optional location for a bson_error_t.

DESCRIPTION

The bson_new_from_json() function allocates and initialize a new bson_t by parsing the JSON found in data. Only a single JSON object may exist in data or an error will be set and NULL returned.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A newly allocated bson_t if successful, otherwise NULL and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc